%define ver      1.0.0
%define rel      1a
%define prefix   /usr

Summary: C++ libraries for gtk
Name: Gtk--
Version: %ver
Release: %rel
Copyright: LGPL
Group: X11/Libraries
Source: ftp://ftp.gtk.org/pub/gtk/gtk--/Gtk---%{ver}.tar.gz
Patch0: localhost:/Gtk---%{ver}-libtool.patch
Patch1: localhost:/Gtk---%{ver}-docs.patch
BuildRoot: /tmp/gtk---root
#Packager: Bibek Sahu <scorpio@dodds.net>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
URL: http://www.iki.hut.fi/terop/gtk/gtk--.html
#Docdir: ${prefix}/doc

%description
GTK-- is a set of C++ wrappers for GTK.

%package devel
Summary: headers and static libraries for developing programs using libgtkmm
Group: Development/Libraries
Requires: Gtk--
%description devel
This package is needed to develop programs that use gtk--, the C++ 
extensions to gtk+.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --enable-static
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --enable-static
fi
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
#%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README*
%doc html
%doc examples

%{prefix}/lib/*.so.*

%files devel
#%defattr(-, root, root)
%{prefix}/lib/*.a
%{prefix}/lib/*.so
%{prefix}/include/*.h
%{prefix}/include/gtk--/*.h

%changelog

* Tue Jul 21 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Upgraded to Gtk---1.0.0
- Added docs and libtool patches

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.

